NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.Formboard.ShapeSegmentBuilder Class Reference

Builder for Face Annotation functionality used in formboard. More...

Inheritance diagram for NXOpen.Formboard.ShapeSegmentBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void AddRadialPivot (NXOpen.Point3d pivotLocation, int bendMethod, double bendValue)
  More...
 
unsafe int AddSplinePoint (NXOpen.Point3d pointLocation)
 Adds a point to the existing spline. More...
 
unsafe void ChangeType (int newType)
  More...
 
unsafe void CommitCurrentOperation ()
  More...
 
unsafe void CreateNewRadialBend (NXOpen.Point3d firstPivot, int firstBendMethod, double firstBendValue, NXOpen.Point3d secondPivot, int secondBendMethod, double secondBendValue)
  More...
 
unsafe void CreateNewSpline (NXOpen.Point3d anchorLocation, NXOpen.Point3d firstPoint, NXOpen.Point3d secondPoint)
  More...
 
unsafe void GetLineData (out NXOpen.Routing.ISegment anchorSeg, out NXOpen.Routing.ControlPoint anchorRcp, out double angle)
  More...
 
unsafe void NewSegment (NXOpen.Routing.ISegment newSegment)
  More...
 
unsafe void RemoveRadialPivot (int pivotIndex)
  More...
 
unsafe void RemoveSplinePoint (int pointIndex)
  More...
 
unsafe void SetActiveView (NXOpen.TaggedObject view)
 Sets the active view for the shape operation. More...
 
unsafe void SwapAnchorEnd ()
  More...
 
unsafe void UpdateLineAngleVec (NXOpen.Vector3d newDir)
  More...
 
unsafe void UpdateRadialPivot (int pivotIndex, NXOpen.Point3d newLocation, int newBendMethod, double newBendValue)
  More...
 
unsafe void UpdateSplinePoint (int pointIndex, NXOpen.Point3d pointLocation, bool inDrag)
  More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 

Detailed Description

Builder for Face Annotation functionality used in formboard.

It allows importing CGM or Pattern file geometry and placing it on a drawing sheet or model view. As a result of this a group of dumb geometry is placed such that defined origin is located at the lower left hand of the bounding box containing the group of geometry.

To create a new instance of this class, use NXOpen.Formboard.FormboardManager.CreateShapeSegmentBuilder

Created in NX7.5.0

Member Function Documentation

unsafe void NXOpen.Formboard.ShapeSegmentBuilder.AddRadialPivot ( NXOpen.Point3d  pivotLocation,
int  bendMethod,
double  bendValue 
)
inline

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
pivotLocation
bendMethod
bendValue
unsafe int NXOpen.Formboard.ShapeSegmentBuilder.AddSplinePoint ( NXOpen.Point3d  pointLocation)
inline

Adds a point to the existing spline.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
pointLocation
Returns
unsafe void NXOpen.Formboard.ShapeSegmentBuilder.ChangeType ( int  newType)
inline

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
newType
unsafe void NXOpen.Formboard.ShapeSegmentBuilder.CommitCurrentOperation ( )
inline

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe void NXOpen.Formboard.ShapeSegmentBuilder.CreateNewRadialBend ( NXOpen.Point3d  firstPivot,
int  firstBendMethod,
double  firstBendValue,
NXOpen.Point3d  secondPivot,
int  secondBendMethod,
double  secondBendValue 
)
inline

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
firstPivot
firstBendMethod
firstBendValue
secondPivot
secondBendMethod
secondBendValue
unsafe void NXOpen.Formboard.ShapeSegmentBuilder.CreateNewSpline ( NXOpen.Point3d  anchorLocation,
NXOpen.Point3d  firstPoint,
NXOpen.Point3d  secondPoint 
)
inline

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
anchorLocation
firstPoint
secondPoint
unsafe void NXOpen.Formboard.ShapeSegmentBuilder.GetLineData ( out NXOpen.Routing.ISegment  anchorSeg,
out NXOpen.Routing.ControlPoint  anchorRcp,
out double  angle 
)
inline

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
anchorSeg
anchorRcp
angle
unsafe void NXOpen.Formboard.ShapeSegmentBuilder.NewSegment ( NXOpen.Routing.ISegment  newSegment)
inline

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
newSegment
unsafe void NXOpen.Formboard.ShapeSegmentBuilder.RemoveRadialPivot ( int  pivotIndex)
inline

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
pivotIndex
unsafe void NXOpen.Formboard.ShapeSegmentBuilder.RemoveSplinePoint ( int  pointIndex)
inline

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
pointIndex
unsafe void NXOpen.Formboard.ShapeSegmentBuilder.SetActiveView ( NXOpen.TaggedObject  view)
inline

Sets the active view for the shape operation.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
view
unsafe void NXOpen.Formboard.ShapeSegmentBuilder.SwapAnchorEnd ( )
inline

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe void NXOpen.Formboard.ShapeSegmentBuilder.UpdateLineAngleVec ( NXOpen.Vector3d  newDir)
inline

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
newDir
unsafe void NXOpen.Formboard.ShapeSegmentBuilder.UpdateRadialPivot ( int  pivotIndex,
NXOpen.Point3d  newLocation,
int  newBendMethod,
double  newBendValue 
)
inline

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
pivotIndex
newLocation
newBendMethod
newBendValue
unsafe void NXOpen.Formboard.ShapeSegmentBuilder.UpdateSplinePoint ( int  pointIndex,
NXOpen.Point3d  pointLocation,
bool  inDrag 
)
inline

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
pointIndex
pointLocation
inDrag

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.